import request from '@/utils/request'

// 查询大屏通知计划列表
export function listNotifyplan(query) {
  return request({
    url: '/laboratory/notifyplan/list',
    method: 'get',
    params: query
  })
}

// 查询大屏通知计划详细
export function getNotifyplan(id) {
  return request({
    url: '/laboratory/notifyplan/' + id,
    method: 'get'
  })
}

// 新增大屏通知计划
export function addNotifyplan(data) {
  return request({
    url: '/laboratory/notifyplan/addWorkPlan',
    method: 'post',
    data: data
  })
}

// 修改大屏通知计划
export function updateNotifyplan(data) {
  return request({
    url: '/laboratory/notifyplan',
    method: 'put',
    data: data
  })
}

// 删除大屏通知计划
export function delNotifyplan(id) {
  return request({
    url: '/laboratory/notifyplan/' + id,
    method: 'delete'
  })
}


//查询计划列表
export function notifyplanListJh(query) {
  return request({
    url: '/laboratory/notifyplan/listJh',
    method: 'get',
    params: query
  })
}


